<?php

namespace App\User\Dto;

use App\User\Database\CodecList;
use App\User\Database\CountryLanguages;
use App\User\Database\ProviderList;
use App\User\Database\QualityList;
use App\User\Database\ResolutionList;

class PreferenceOptionsFactory
{
    public static function createSelectOptions(): PreferenceOptions
    {
        return new PreferenceOptions(
            resolutions: ResolutionList::asSelectOptions(),
            codecs: CodecList::asSelectOptions(),
            languages: CountryLanguages::asSelectOptions(),
            providers: ProviderList::asSelectOptions(),
            qualities: QualityList::asSelectOptions(),
        );
    }
}
